<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.platform.security</groupId>
    <artifactId>secure-vault</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.platform.security.secure-vault</groupId>
  <artifactId>secure-vault-runtime</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: SECURITY :: VAULT :: RUNTIME</name>
  <description>ENTAXY :: SECURITY :: VAULT :: RUNTIME</description>
  
  <properties>
	<bundle.osgi.export.pkg>
		ru.entaxy.security.vault.runtime,
		ru.entaxy.security.vault.runtime.lookup,
		ru.entaxy.security.vault.runtime.camel,
		ru.entaxy.security.vault.runtime.resourcevault	
	</bundle.osgi.export.pkg>
	<bundle.osgi.private.pkg>
		ru.entaxy.security.vault.runtime.resourcevault.internal	
	</bundle.osgi.private.pkg>	 
  </properties>
  
  <dependencies>
	  <dependency>
	  	<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
	  	<artifactId>base-support</artifactId>
	  	<version>${project.version}</version>
	  </dependency>
    <dependency>
        <groupId>ru.entaxy.esb.platform.runtime.core.initializer</groupId>
        <artifactId>init-manager</artifactId>
        <version>${project.version}</version>
        <scope>compile</scope>
 	</dependency>
 	<dependency>
		 <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
		 <artifactId>artifact-management</artifactId>
		 <version>${project.version}</version>
	 </dependency> 		  
	  <dependency>
	  	<groupId>org.apache.commons</groupId>
	  	<artifactId>commons-lang3</artifactId>
	  	<version>${commons-lang3.version}</version>
	  </dependency>
        <dependency>
            <groupId>org.apache.servicemix.bundles</groupId>
            <artifactId>org.apache.servicemix.bundles.jasypt</artifactId>
            <version>1.9.3_1</version>
        </dependency>	  
	  <dependency>
	  	<groupId>org.apache.camel</groupId>
	  	<artifactId>camel-core</artifactId>
	  	<version>${camel.version}</version>
	  </dependency>
	  <dependency>
	  	<groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
	  	<artifactId>resources-api</artifactId>
	  	<version>${project.version}</version>
	  </dependency>
  	<dependency>
  		<groupId>org.apache.karaf.config</groupId>
  		<artifactId>org.apache.karaf.config.core</artifactId>
  		<version>${karaf.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>
  			ru.entaxy.esb.platform.runtime.core.object-producing
  		</groupId>
  		<artifactId>object-producer-api</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>
  			ru.entaxy.esb.platform.runtime.core.object-producing
  		</groupId>
  		<artifactId>object-producer-core</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>org.apache.felix</groupId>
  		<artifactId>org.apache.felix.configadmin</artifactId>
  		<version>${felix.configadmin.version}</version>
  		
  	</dependency>	  
	  
  </dependencies>
  
</project>
